package commands;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import spring.Context;

import business.Usuario;
import dao.UsuarioDAO;

public class UsuarioInserir extends AbstractCommand {

	private UsuarioDAO dao = new UsuarioDAO();

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, Context context) throws IOException,
			ServletException {
		// Recupera os Parāmetros
		String userid = request.getParameter("userid");
		String senha = request.getParameter("senha");

		// Cria um usuario com os parāmetros
		Usuario user = new Usuario();
		user.setUserId(userid);
		user.setSenha(senha);

		// Insere o usuario no Banco
		try {
			dao.inserir(user);
			response.sendRedirect("usuarioInserir.jsp?msg=Usuario inserido.");
		} catch (Exception e) {
			e.printStackTrace();
			response.sendRedirect("usuarioInserir.jsp?msg=" + e.getMessage());
		}
	}
}
